{
  description = "zremap nix flake";

  outputs = {
    self,
    nixpkgs,
  }: {
    defaultPackage.x86_64-linux = with import nixpkgs {system = "x86_64-linux";};
      stdenv.mkDerivation {
        pname = "zremap";
        version = "0.1";
        src = self;
        nativeBuildInputs = [zig.hook];
        buildInputs = [libevdev];
      };

    devShells.x86_64-linux.default = with import nixpkgs {system = "x86_64-linux";};
      mkShell {
        buildInputs = [
          libevdev
          zig
        ];

        shellHook = ''
          echo "happy hacking!"
        '';
      };
  };
}
